<?PHP
////++++++++++++++++ CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////

////Conexiones y tiempos de ejecución
$VpnEn=$_GET["VPN"] or $VpnEn=$_POST["VPN"];
$LtEn=$_GET["LT"] or $LtEn=$_POST["LT"];
ini_set('max_execution_time', $LtEn);
include ("Conections/$VpnEn.php");
include ("Funcion_Numerico.php");

$Cve_Modulo = "CMOD201506100147";

///Arrastra Variables Fijas
$UsuEn=$_POST['UsuKP'] or $UsuEn=$_GET['UsuKP'];
$TokEn=$_POST["TokenKP"] or $TokEn=$_GET["TokenKP"];
$IDSeEn=$_POST["IdDAcce"] or $IDSeEn=$_GET["IdDAcce"];
$CtaSesionEn=$_POST['CtaSKP'] or $CtaSesionEn=$_GET['CtaSKP'];


	/////////Identificar personalización 1 
		$sqlP1 = mysql_query("select * from wms_personaliza1 where ID='1'");
		if (mysql_numrows($sqlP1)==0) echo "";
		else{
		$registroP1=mysql_fetch_array($sqlP1);
		}
		if (mysql_numrows($sqlP1)>0)
		{
		$BBackg=$registroP1["BODY_BACKGROUND_IMG"];
		}
	
	/////////Identificar personalización 2
		$sqlP2 = mysql_query("select * from wms_personaliza2 where ID='1'");
		if (mysql_numrows($sqlP2)==0) echo "";
		else{
		$registroP2=mysql_fetch_array($sqlP2);
		}
		if (mysql_numrows($sqlP2)>0)
		{
		$Titulo=$registroP2["TITULO_PAGINAS"];
		}
		
	/////////Identificar personalización 3
		$sqlP3 = mysql_query("select * from wms_personaliza3 where ID='1'");
		if (mysql_numrows($sqlP3)==0) echo "";
		else{
		$registroP3=mysql_fetch_array($sqlP3);
		}
		if (mysql_numrows($sqlP3)>0)
		{
		$FuTi_Form=$registroP3["FUENTE_TITULOFORMULARIO"];
		$TaTi_Form=$registroP3["TAMANO_TITULOFORMULARIO"];
		$BgTi_Form=$registroP3["COLOR_TITULOFORMULARIO"];
		$FuCu_Form=$registroP3["FUENTE_FORMULARIO"];
		$TaCu_Form=$registroP3["TAMANO_FORMULARIO"];
		$BgCu_Form=$registroP3["COLOR_FORMULARIO"];
		$FonTi_Form=$registroP3["BG_TABLATITULO"];
		$FonCi_Form=$registroP3["BG_TABLACUERPO"];
		$FonSe_Form=$registroP3["BG_TABLASEPARACION"];
		$Borde_Form=$registroP3["BORDER_CAMPO"];
		$CamDe_Form=$registroP3["BG_CAMPODESHABILITADO"];
		$ClaBtn=$registroP3["CLASE_BOTON"];
		}
		
	/////////Identificar personalización 4
		$sqlP4 = mysql_query("select * from wms_personaliza4 where ID='1'");
		if (mysql_numrows($sqlP4)==0) echo "";
		else{
		$registroP4=mysql_fetch_array($sqlP4);
		}
		if (mysql_numrows($sqlP4)>0)
		{
		$Bord_Tabl=$registroP4["BG_BORDE"];
		$Fond_Tabl=$registroP4["BG_FONDOGRALTABLA"];
		$BgF1_Tabl=$registroP4["BG_FILA_1"];
		$BgF2_Tabl=$registroP4["BG_FILA_2"];
		$FTit_Tabl=$registroP4["FUENTE_TABLATITULO"];
		$TTit_Tabl=$registroP4["TAMANO_FUENTETABLATITULO"];
		$CFTi_Tabl=$registroP4["COLOR_FUENTETABLATITULO"];
		$FEnc_Tabl=$registroP4["FUENTE_TABLAENCA"];
		$TEnc_Tabl=$registroP4["TAMANO_FUENTETABLAENCA"];
		$CEnc_Tabl=$registroP4["COLOR_FUENTETABLAENCA"];
		$FCue_Tabl=$registroP4["FUENTE_TABLACUER"];
		$TCue_Tabl=$registroP4["TAMANO_FUENTETABLACUER"];
		$CCue_Tabl=$registroP4["COLOR_FUENTETABLACUER"];
		}		
		
	/////////Identificar configuracion 1
		$sqlC1 = mysql_query("select * from wms_configura1 where ID='1'");
		if (mysql_numrows($sqlC1)==0) echo "";
		else{
		$registroC1=mysql_fetch_array($sqlC1);
		}
		if (mysql_numrows($sqlC1)>0)
		{
		$TimeInac=$registroC1["TIEMPO_INACTIVIDAD"];
		}
		
	/////////Identifica si el token aun esta vigente
		$ExtAño = substr($TokEn, -28, 4);    // devuelve el año
		$ExtDia = substr($TokEn, -7, 2);    // devuelve el mes
		$ExtMes = substr($TokEn, -14, 2);    // devuelve el día
		$FechTok=$ExtDia."/".$ExtMes."/".$ExtAño;
		$FechAct=$PreTo4=date("d/m/Y");
		
		if ($FechTok<>$FechAct)
		{
			echo "<script>alert('La sesión del Token de seguridad ha caducado.\\nFavor de iniciar sesion nuevamente.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_Force.php?USUkp=$UsuEn&IdDeAcc=$IDSeEn'>";
		}
		else
		{ ///Inicia IF Sesion Token
		
	/////////Identificar permisos de acceso 1
		$sqlPA1 = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
		if (mysql_numrows($sqlPA1)==0) 
		{
			echo "<script>alert('CODIGO: LOGSYS#00001\\nEl Usuario en sesión ha sido truncado por inexistencia.'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogIn.php'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 1
		
	/////////Identificar permisos de acceso 2
		$sqlPA2 = mysql_query("select * from wms_configurapermisosnivelmodulo where USUARIO='$UsuEn' AND CVE_MODULO='$Cve_Modulo'");
		if (mysql_numrows($sqlPA2)==0) 
		{
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=SinPermisos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 2
	
	/////////Identificar permisos de acceso 3 - Acreditación de Sesión Activa	
		$sqlPA3 = mysql_query("select * from tabla_controlsesiones where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlPA3)==0) 
		{
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_ReLogIn.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&' target='_parent'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 3
		
		//////HORA y FECHA/////
			$Hora=time();
			$HoraOK=date("H:i:s",$Hora);
			$Fecha=date("Y/m/d");
			
			/////Vigencia de Documento
			$VigenciaFecha = strtotime ( '+2 day' , strtotime ( $Fecha ) ) ;
			$VigenciaFecha = date ( 'Y/m/d' , $VigenciaFecha );
			
			//////Identificar la Cuenta y la Bodega
			$sqlCR1 = mysql_query("select * from wms_configura_altacuentas where NOMBRE_CUENTA='$CtaSesionEn'");
			if (mysql_numrows($sqlCR1)==0) echo "";
			else{
			$registroCR1=mysql_fetch_array($sqlCR1);
			}
			if (mysql_numrows($sqlCR1)>0)
			{
			$CveBodCR1=$registroCR1["CVE_BODEGA"];
			$CveCueCR1=$registroCR1["CVE_CUENTA"];
			}
			
				$sqlCR2 = mysql_query("select * from wms_configura_altabodega where CVE_BODEGA='$CveBodCR1'");
				if (mysql_numrows($sqlCR2)==0) echo "";
				else{
				$registroCR2=mysql_fetch_array($sqlCR2);
				}
				if (mysql_numrows($sqlCR2)>0)
				{
				$NomBodCR2=$registroCR2["NOMBRE_BODEGA"];
				}
						
////++++++++++++++ FIN CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<?PHP echo"<link rel='stylesheet' href='cssBtn/style_Btns.css'>"; ?>
<script language='javascript' src="popcalendar.js"></script>
<link rel="shortcut icon" href="../WMS_Resources/images/favicon.ico">
<title><?PHP echo $Titulo; ?></title>
<style type="text/css">
body {
	background-image: url(../WMS_Resources/images/MainBkgr/<?PHP echo $BBackg; ?>);
}

.Clase_TipoLetraTitulos {
	font-family: <?PHP echo $FuTi_Form; ?>;
	font-size:<?PHP echo $TaTi_Form; ?>px;
	color:<?PHP echo $BgTi_Form; ?>;
}
.Clase_TipoLetra {
	font-family: <?PHP echo $FuCu_Form; ?>;
	font-size:<?PHP echo $TaCu_Form; ?>px;
	color:<?PHP echo $BgCu_Form; ?>;
}
.Clase_INPUT_Text {
	border: 1px solid <?PHP echo $Borde_Form; ?>;
	background: #FFFFFF;
	COLOR: #000000;
	FONT-FAMILY: Arial, Helvetica, sans-serif;
	FONT-SIZE: 12px;
	}

</style>

<!-- Inicia Validador de Inactividad -->
<script type="text/javascript">
var Inac;
function ini() {
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
function parar() {
  clearTimeout(Inac);
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
</script>

<!-- Termina Validador de Inactividad -->

<!-- Inicia Función Abre POPUP -->
<script languaje="JavaScript">
function otra_ventana(direccion) {
var ruta=direccion;

var caracteristicas="toolbar=0, location=0, directories=0, resizable=0, scrollbars=yes, height=380, width=650, top=120, left=350";
win=window.open(ruta ,"",caracteristicas);
}
</script>
<script type="text/javascript">
function popup(url,ancho,alto) {
var posicion_x; 
var posicion_y; 
posicion_x=(screen.width/2)-(ancho/2); 
posicion_y=(screen.height/2)-(alto/2); 
window.open(url, "mstech.mx", "width="+ancho+",height="+alto+",menubar=0,toolbar=0,directories=0,scrollbars=yes,resizable=no,left="+posicion_x+",top="+posicion_y+"");
}
</script>
<!-- Termina Función Abre POPUP -->
</head>

<body onload="ini()" onkeypress="parar()" onclick="parar()">
<?PHP
///include ("Banners.php");
?>

<!-- Inicia Cuerpo de la Interfaz Gráfica -->
<Br><Br><Br><Br><Br>
<div align="center">
<?PHP
////Arrastrando Variables
	$PallKpPG=$_POST['txt_Pallet'] or $PallKpPG=$_GET['txt_Pallet'];
	$UbicaPG=$_POST['txt_CveUbica'] or $UbicaPG=$_GET['txt_CveUbica'];
	$FiltroPG=$_POST['Filtro'] or $FiltroPG=$_GET['Filtro'];
	$txt_filtroPG=$_POST['txt_Filtro'] or $txt_filtroPG=$_GET['txt_Filtro'];
				
////Validar Campos en Blanco
			if ($PallKpPG=="")
			{
			echo "<script>alert('ADVERTENCIA:\\n\\nError interno de Pallet.\\nFavor de Corroborarlo');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=112-ProcesaConsolidacionCargaMasiva.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Filtro=$FiltroPG&txt_Filtro=$txt_filtroPG'>";
			}
			else
			{
			
			if ($UbicaPG=="")
			{
			echo "<script>alert('Favor de Ingresar la Ubicación de Consolidación.\\nFavor de Corroborarlo');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=112-ProcesaConsolidacionCargaMasiva.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Filtro=$FiltroPG&txt_Filtro=$txt_filtroPG'>";
			}
			else
			{
				
////Validar si la Ubicación Existe
	$sql_VEP = mysql_query("select PASILLO from tabla_ubicaciones WHERE CUENTA='$CveCueCR1' AND CLAVEUBICACION='$UbicaPG'");
	if (mysql_numrows($sql_VEP)==0) 
	{
		echo "<script>alert('La Ubicación seleccionada no existe dentro del Sistema.\\nFavor de Corroborarlo'); </script>";
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=112-ProcesaConsolidacionCargaMasiva.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Filtro=$FiltroPG&txt_Filtro=$txt_filtroPG'>";
	}
	else
	{				

///************************INICIA PROCESO GENERAL PALLET MAESTRO************************///
///Consultar los Datos del Pallet Maestro
			$sql_CPI = mysql_query("select SKU,CANTIDAD,UBICACION,EDO_CALIDAD,LOTE,LOTEPRODU,TIPO_ALMACEN from tabla_inventario WHERE CVE_CUENTA='$CveCueCR1' AND NO_PALLET='$PallKpPG'");
			if (mysql_numrows($sql_CPI)==0) echo "";
			else{
			$registro_CPI=mysql_fetch_array($sql_CPI);
			}
			if (mysql_numrows($sql_CPI)>0)
			{
			$SkuPG=$registro_CPI["SKU"];
			$CantiPG=$registro_CPI["CANTIDAD"];
			$UbicacionPG=$registro_CPI["UBICACION"];
			$EdoCaPG=$registro_CPI["EDO_CALIDAD"];
			$LotePG=$registro_CPI["LOTE"];
			$LoProPG=$registro_CPI["LOTEPRODU"];
			$TiAlmPG=$registro_CPI["TIPO_ALMACEN"];
			}
				////Identificar si Ya Añadiste el Pallet al Buffer
				$sql_IB = mysql_query("select * from temporal_consolida WHERE CVE_CUENTA='$CveCueCR1' AND NO_PALLET='$PallKpPG' AND USUARIO_REG='$UsuEn'");
				if (mysql_numrows($sql_IB)<>0)
				{
				echo "<script>alert('Ya has añadido este pallet al buffer de consolidación. Favor de corroborarlo.');</script>";
				echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=112-ProcesaConsolidacionCargaMasiva.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Filtro=$FiltroPG&txt_Filtro=$txt_filtroPG'>";
				}
				else 
				{
					
					////Identificar si OTRO USUARIO YA Añadio el Pallet al Buffer
					$sql_IB2 = mysql_query("select * from temporal_consolida WHERE CVE_CUENTA='$CveCueCR1' AND NO_PALLET='$PallKpPG' AND USUARIO_REG<>'$UsuEn'");
					if (mysql_numrows($sql_IB2)<>0)
					{
					echo "<script>alert('El Pallet que deseas seleccionar Actualmente se encuentra en Movimiento por Otro Usuario. Favor de corroborarlo.');</script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=112-ProcesaConsolidacionCargaMasiva.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Filtro=$FiltroPG&txt_Filtro=$txt_filtroPG'>";
					}
					else 
					{
						/////////Identificar si el pallet se encuentra en proceco - Pallet en Movimiento///////
						$sqlID0 = mysql_query("select * from tabla_pallet_proceso WHERE CVE_CUENTA='$CveCueCR1' AND NO_PALLET='$PallKpPG'");
						if (mysql_numrows($sqlID0)<>0)
						{
						echo "<script>alert('El Pallet que deseas agregar al Buffer actualmente se encuentra en proceso y/o movimiento.\\nFavor de corroborarlo en su respectivo reporte.');</script>";
						echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=112-ProcesaConsolidacionCargaMasiva.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Filtro=$FiltroPG&txt_Filtro=$txt_filtroPG'>";
						}
						else 
						{
							////Identificar el Menor registro en la Tabla por medio de su ID
							////Saber cual fue el primer Pallet agregado por el usuario
							$sql_Min = "select min(ID) as Pri_Fol from temporal_consolida WHERE CVE_CUENTA='$CveCueCR1' AND USUARIO_REG='$UsuEn'";
							$lib_Min = mysql_query($sql_Min); 
							$rs_lib_Min = mysql_fetch_assoc($lib_Min); 
							$FolMen = $rs_lib_Min['Pri_Fol'];
					
							$sql_CPP = mysql_query("select SKU,UBICACION,EDOCAL,LOTE,LOTEPRODU,TIPO_ALMACEN from temporal_consolida WHERE CVE_CUENTA='$CveCueCR1' AND ID='$FolMen' AND USUARIO_REG='$UsuEn'");
							if (mysql_numrows($sql_CPP)==0) { $Primer="SI"; echo "";}
							else{
							$registro_CPP=mysql_fetch_array($sql_CPP);
							}
							if (mysql_numrows($sql_CPP)>0)
							{
							$Sku_CPP=$registro_CPP["SKU"];
							$Ubi_CPP=$registro_CPP["UBICACION"];
							$ECa_CPP=$registro_CPP["EDOCAL"];
							$Lot_CPP=$registro_CPP["LOTE"];
							$LPr_CPP=$registro_CPP["LOTEPRODU"];
							$TAl_CPP=$registro_CPP["TIPO_ALMACEN"];
							}
							
						if ($Primer<>"SI")
						{///Inicia If Detección del Primer Pallet
						
							if ($SkuPG<>$Sku_CPP or $UbicacionPG<>$Ubi_CPP or $EdoCaPG<>$ECa_CPP or $LotePG<>$Lot_CPP or $LoProPG<>$LPr_CPP or $TiAlmPG<>$TAl_CPP)
							{////Inicia If Detección de Diferencias en Datos logisticos
							echo "<script>alert('No es posible agregar el Pallet seleccionado al Buffer de Consolidación, debido a que no contiene el mismo Sku, Ubicación, Estado de Calidad, Lote, Lote Producción y/o Tipo de Almacén.');</script>";
							echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=112-ProcesaConsolidacionCargaMasiva.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Filtro=$FiltroPG&txt_Filtro=$txt_filtroPG'>";
							}////Termina If Detección de Diferencias en Datos logisticos
							else 
							{////Inicia Else Detección de Diferencias en Datos logisticos
							
								////Hora y Fecha
								$Hora=time();
								$HoraOK=date("H:i:s",$Hora);
								$Fecha=date("Y/m/d");
					
								////Generador de Folio para Guardar el Registro
								$sqlID = "select max(ID) as ultimo_FOLIO from temporal_consolida"; 
								$lib = mysql_query($sqlID); 
								$rs_lib = mysql_fetch_assoc($lib); 
								$id_nuevo = $rs_lib['ultimo_FOLIO'] + 1;
		
								////Guardar el Registro en la BD
								$sql_GR = "insert into temporal_consolida (ID,CVE_BODEGA,CVE_CUENTA,NO_PALLET,SKU,UBICACION,EDOCAL,LOTE,LOTEPRODU,TIPO_ALMACEN,CANTIDAD,USUARIO_REG,FECHA,HORA)
				        	values('$id_nuevo','$CveBodCR1','$CveCueCR1','$PallKpPG','$SkuPG','$UbicacionPG','$EdoCaPG','$LotePG','$LoProPG','$TiAlmPG','$CantiPG','$UsuEn','$Fecha','$HoraOK')";
								$resultado_GR=mysql_query($sql_GR,$conexion) or die(mysql_error());
							
								////Generador de Folio para Guardar el Registro
								$sqlID2 = "select max(ID) as ultimo_FOLIO2 from tabla_pallet_proceso"; 
								$lib2 = mysql_query($sqlID2); 
								$rs_lib2 = mysql_fetch_assoc($lib2); 
								$id_nuevo2 = $rs_lib2['ultimo_FOLIO2'] + 1;
								
								//////Guardar registro de Movimiento dentro de la tabla tabla_pallet_proceso//////////
								$sqlGPM = "insert into tabla_pallet_proceso (ID,CVE_BODEGA,CVE_CUENTA,NO_PALLET,TIPO_PROCESO,PROCESO_INI,PROCESO_FIN,USUARIO_REG,HORA,FECHA)
values('$id_nuevo2','$CveBodCR1','$CveCueCR1','$PallKpPG','CONSOLIDACION PALLET','-','-','$UsuEn','$HoraOK','$Fecha')";
								$resultadoGPM=mysql_query($sqlGPM,$conexion) or die(mysql_error());
	
								////Regresa a la Ventana Anterior
								///echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=112-ProcesaConsolidacionCargaMasiva.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Filtro=$FiltroPG&txt_Filtro=$txt_filtroPG'>";
							}////Termina Else Detección de Diferencias en Datos logisticos
						
					  }///Termina If Detección del Primer Pallet
					  else
					  {///Inicia Else Detección del Primer Pallet
					  
							////Hora y Fecha
							$Hora=time();
							$HoraOK=date("H:i:s",$Hora);
							$Fecha=date("Y/m/d");
					
							////Generador de Folio para Guardar el Registro
							$sqlID = "select max(ID) as ultimo_FOLIO from temporal_consolida"; 
							$lib = mysql_query($sqlID); 
							$rs_lib = mysql_fetch_assoc($lib); 
							$id_nuevo = $rs_lib['ultimo_FOLIO'] + 1;
		
							////Guardar el Registro en la BD
							$sql_GR = "insert into temporal_consolida (ID,CVE_BODEGA,CVE_CUENTA,NO_PALLET,SKU,UBICACION,EDOCAL,LOTE,LOTEPRODU,TIPO_ALMACEN,CANTIDAD,USUARIO_REG,FECHA,HORA)
				        	values('$id_nuevo','$CveBodCR1','$CveCueCR1','$PallKpPG','$SkuPG','$UbicacionPG','$EdoCaPG','$LotePG','$LoProPG','$TiAlmPG','$CantiPG','$UsuEn','$Fecha','$HoraOK')";
							$resultado_GR=mysql_query($sql_GR,$conexion) or die(mysql_error());
							
							////Generador de Folio para Guardar el Registro
							$sqlID2 = "select max(ID) as ultimo_FOLIO2 from tabla_pallet_proceso"; 
							$lib2 = mysql_query($sqlID2); 
							$rs_lib2 = mysql_fetch_assoc($lib2); 
							$id_nuevo2 = $rs_lib2['ultimo_FOLIO2'] + 1;
							
							//////Guardar registro de Mivimiento dentro de la tabla tabla_pallet_proceso//////////
							$sqlGPM = "insert into tabla_pallet_proceso (ID,CVE_BODEGA,CVE_CUENTA,NO_PALLET,TIPO_PROCESO,PROCESO_INI,PROCESO_FIN,USUARIO_REG,HORA,FECHA)
values('$id_nuevo2','$CveBodCR1','$CveCueCR1','$PallKpPG','CONSOLIDACION PALLET','-','-','$UsuEn','$HoraOK','$Fecha')";
							$resultadoGPM=mysql_query($sqlGPM,$conexion) or die(mysql_error());
	
							////Regresa a la Ventana Anterior
							///echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=112-ProcesaConsolidacionCargaMasiva.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Filtro=$FiltroPG&txt_Filtro=$txt_filtroPG'>";
					  }///Termina Else Detección del Primer Pallet
							
						///}///Termina If Pallet en proceso
					///}///Termina If Pallet x Otro usuario
				///}///Termina If Pallet Ya Agregado
				
///************************TERMINA PROCESO GENERAL PALLET MAESTRO************************///	

///****************INICIA LA DETECCION DE TODOS LOS PALLETS CON LAS MISMAS CARACTERISTICAS QUE EL PALLET MAESTRO****************///
	
	////Identificar el Menor registro en la Tabla por medio de su ID
	////Saber cual fue el primer Pallet agregado por el usuario
	$sql_Min = "select min(ID) as Pri_Fol from temporal_consolida WHERE CVE_CUENTA='$CveCueCR1' AND USUARIO_REG='$UsuEn'";
	$lib_Min = mysql_query($sql_Min); 
	$rs_lib_Min = mysql_fetch_assoc($lib_Min); 
	$FolMen = $rs_lib_Min['Pri_Fol'];
					
	$sql_CPP = mysql_query("select SKU,UBICACION,EDOCAL,LOTE,LOTEPRODU,TIPO_ALMACEN from temporal_consolida WHERE CVE_CUENTA='$CveCueCR1' AND ID='$FolMen' AND USUARIO_REG='$UsuEn'");
	if (mysql_numrows($sql_CPP)==0) { echo "";}
	else{
	$registro_CPP=mysql_fetch_array($sql_CPP);
	}
	if (mysql_numrows($sql_CPP)>0)
	{
	$Sku_CPP=$registro_CPP["SKU"];
	$Ubi_CPP=$registro_CPP["UBICACION"];
	$ECa_CPP=$registro_CPP["EDOCAL"];
	$Lot_CPP=$registro_CPP["LOTE"];
	$LPr_CPP=$registro_CPP["LOTEPRODU"];
	$TAl_CPP=$registro_CPP["TIPO_ALMACEN"];
	}
	
	$sql_w1 = "SELECT NO_PALLET,SKU,CANTIDAD,UBICACION,EDO_CALIDAD,LOTE,LOTEPRODU,TIPO_ALMACEN FROM tabla_inventario WHERE CVE_CUENTA='$CveCueCR1' AND UBICACION='$UbicaPG' AND SKU='$SkuPG' AND EDO_CALIDAD='$EdoCaPG' AND LOTE='$LotePG' AND LOTEPRODU='$LoProPG' AND TIPO_ALMACEN='$TAl_CPP' AND CANTIDAD<>'0' AND NO_PALLET<>'$PallKpPG' ORDER BY ID  ASC";
	$res_w1=mysql_query($sql_w1) or die('Error en la consulta: '.mysql_error());
	While($row_w1 = mysql_fetch_array($res_w1,MYSQL_ASSOC))
		{///Inicia While 1
			
			$Pal_W1=$row_w1["NO_PALLET"];
			$Sku_W1=$row_w1["SKU"];
			$Can_W1=$row_w1["CANTIDAD"];
			$Ubi_W1=$row_w1["UBICACION"];
			$Cal_W1=$row_w1["EDO_CALIDAD"];
			$Lot_W1=$row_w1["LOTE"];
			$LPr_W1=$row_w1["LOTEPRODU"];
			$TAl_W1=$row_w1["TIPO_ALMACEN"];
			
			if ($Sku_W1<>$Sku_CPP or $Ubi_CPP<>$Ubi_CPP or $Cal_W1<>$ECa_CPP or $Lot_W1<>$Lot_CPP or $LPr_W1<>$LPr_CPP or $TAl_W1<>$TAl_CPP)
				{////Inicia If Detección de Diferencias en Datos logisticos
					echo "<script>alert('No es posible agregar lod Pallets al Buffer de Consolidación, debido a que no contiene el mismo Sku, Ubicación, Estado de Calidad, Lote, Lote Producción y/o Tipo de Almacén.');</script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=112-ProcesaConsolidacionCargaMasiva.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Filtro=$FiltroPG&txt_Filtro=$txt_filtroPG'>";
				}////Termina If Detección de Diferencias en Datos logisticos
				else 
				{////Inicia Else Detección de Diferencias en Datos logisticos
							
					////Hora y Fecha
					$Hora=time();
					$HoraOK=date("H:i:s",$Hora);
					$Fecha=date("Y/m/d");
					
					////Generador de Folio para Guardar el Registro
					$sqlID = "select max(ID) as ultimo_FOLIO from temporal_consolida"; 
					$lib = mysql_query($sqlID); 
					$rs_lib = mysql_fetch_assoc($lib); 
					$id_nuevo = $rs_lib['ultimo_FOLIO'] + 1;
		
					////Guardar el Registro en la BD
					$sql_GR = "insert into temporal_consolida (ID,CVE_BODEGA,CVE_CUENTA,NO_PALLET,SKU,UBICACION,EDOCAL,LOTE,LOTEPRODU,TIPO_ALMACEN,CANTIDAD,USUARIO_REG,FECHA,HORA)        	values('$id_nuevo','$CveBodCR1','$CveCueCR1','$Pal_W1','$Sku_W1','$Ubi_W1','$Cal_W1','$Lot_W1','$LPr_W1','$TAl_W1','$Can_W1','$UsuEn','$Fecha','$HoraOK')";
					$resultado_GR=mysql_query($sql_GR,$conexion) or die(mysql_error());
							
					////Generador de Folio para Guardar el Registro
					$sqlID2 = "select max(ID) as ultimo_FOLIO2 from tabla_pallet_proceso"; 
					$lib2 = mysql_query($sqlID2); 
					$rs_lib2 = mysql_fetch_assoc($lib2); 
					$id_nuevo2 = $rs_lib2['ultimo_FOLIO2'] + 1;
								
					//////Guardar registro de Movimiento dentro de la tabla tabla_pallet_proceso//////////
					$sqlGPM = "insert into tabla_pallet_proceso (ID,CVE_BODEGA,CVE_CUENTA,NO_PALLET,TIPO_PROCESO,PROCESO_INI,PROCESO_FIN,USUARIO_REG,HORA,FECHA)
values('$id_nuevo2','$CveBodCR1','$CveCueCR1','$Pal_W1','CONSOLIDACION PALLET','-','-','$UsuEn','$HoraOK','$Fecha')";
					$resultadoGPM=mysql_query($sqlGPM,$conexion) or die(mysql_error());
					
					////Regresa a la Ventana Anterior
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=112-ProcesaConsolidacionCargaMasiva.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Filtro=$FiltroPG&txt_Filtro=$txt_filtroPG'>";
				
				}////Termina Else Detección de Diferencias en Datos logisticos

		}///Termina While 1
	
	}///Termina If Pallet en proceso
	}///Termina If Pallet x Otro usuario
	}///Termina If Pallet Ya Agregado		
		
			}
			}
			}
?>
</div>
<Br><Br>
<!-- Termina Cuerpo de la Interfaz Gráfica -->
<?PHP
} ///Termina IF Permiso de Acceso 3
} ///Termina IF Permiso de Acceso 2
} ///Termina IF Permiso de Acceso 1
} ///Termina IF Sesion del Token
?>
</body>
</html>